{#<pagetitle>NHS.UK | Organisations we will contact</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/link/macro.njk' import link %}

{{ heading({
    subHeading:{text: 'medical-cya.section.heading'},
    text: 'medical-cya.h1',
    classes : 'nhsuk-heading-l govuk-heading-l',
    locale: locale
    })
}}
<div class="nhsBSA-sidebar-container">
    <div class="nhsBSA-sidebar-wrapper">
        <div class="nhsBSA-sidebar-content">
            <div class="nhsuk-width-container-fluid">
                <div class="nhsuk-main-wrapper" id="maincontent">
                    <div class="nhsuk-grid-row">
                        <div class="nhsuk-grid-row">
                            {{ p({text:'medical-cya.hint', classes:'nhsuk-hint', locale:locale}) }}
                            <dl class="nhsuk-summary-list">
                                <div class="nhsuk-summary-list__row">
                                  <dt class="nhsuk-summary-list__key">
                                    {{__({phrase: 'medical-cya.section1.item1', locale:locale})}}
                                  </dt>
                                  <dd class="nhsuk-summary-list__value">
                                    {{data.GeneralPractice.GpDoctorName}}
                                  </dd>
                                  <dd class="nhsuk-summary-list__actions">
                                    <a href="{{data.GPLink}}">
                                      {{__({phrase: 'common.change.link', locale:locale})}}<span class="nhsuk-u-visually-hidden">{{'name'}}</span>
                                    </a>
                                  </dd>
                                </div>

                                <div class="nhsuk-summary-list__row">
                                  <dt class="nhsuk-summary-list__key">
                                    {{__({phrase: 'medical-cya.section1.item2', locale:locale})}}
                                  </dt>
                                  <dd class="nhsuk-summary-list__value">
                                    {{data.GeneralPractice.GpTelNo}}
                                  </dd>
                                  <dd class="nhsuk-summary-list__actions">
                                  </dd>
                                </div>

                                <div class="nhsuk-summary-list__row">
                                  <dt class="nhsuk-summary-list__key">
                                    {{__({phrase: 'medical-cya.section1.item3', locale:locale})}}
                                  </dt>
                                  <dd class="nhsuk-summary-list__value">
                                    {{data.GeneralPractice.DisplayedAddress}}
                                  </dd>
                                  <dd class="nhsuk-summary-list__actions">
                                  </dd>
                                </div>
                            </dl>
                            <dl class="nhsuk-summary-list">
                                {% for hospital in data.Hospitals %}
                                <div class="nhsuk-summary-list__row">
                                  <dt class="nhsuk-summary-list__key">
                                    {{__({phrase: 'medical-cya.section2.item1', locale:locale})}}
                                  </dt>
                                  <dd class="nhsuk-summary-list__value">
                                    {% if (hospital.HospitalName != '', hospital) %}{{hospital.HospitalName}}{% else %} {% endif %}
                                  </dd>
                                  <dd class="nhsuk-summary-list__actions">
                                    <a href="/hospital-details?hospitalCount={{hospital.HospitalCount}}">
                                      {{__({phrase: 'common.change.link', locale:locale})}}<span class="nhsuk-u-visually-hidden">{{'address'}}</span>
                                    </a>
                                  </dd>
                                </div>

                                <div class="nhsuk-summary-list__row">
                                  <dt class="nhsuk-summary-list__key">
                                    {{__({phrase: 'medical-cya.section2.item2', locale:locale})}}
                                  </dt>
                                  <dd class="nhsuk-summary-list__value">
                                    {{hospital.DisplayedAddress}}
                                  </dd>
                                  <dd class="nhsuk-summary-list__actions">
                                  </dd>
                                </div>
                                {% endfor %}
                            </dl>
                            <dl class="nhsuk-summary-list">
                                {% for clinic in data.HealthcareProviders %}
                                <div class="nhsuk-summary-list__row">
                                  <dt class="nhsuk-summary-list__key">
                                    {{__({phrase: 'medical-cya.section3.item1', locale:locale})}}
                                  </dt>
                                  <dd class="nhsuk-summary-list__value">
                                    {{clinic.ClinicName}}
                                  </dd>
                                  <dd class="nhsuk-summary-list__actions">
                                    <a href="/healthcare-provider-details?healthcareProviderCount={{clinic.ClinicCount}}">
                                      {{__({phrase: 'common.change.link', locale:locale})}}<span class="nhsuk-u-visually-hidden"> {{'name'}}</span>
                                    </a>
                                  </dd>
                                </div>

                                <div class="nhsuk-summary-list__row">
                                  <dt class="nhsuk-summary-list__key">
                                    {{__({phrase: 'medical-cya.section3.item2', locale:locale})}}
                                  </dt>
                                  <dd class="nhsuk-summary-list__value">
                                    {{clinic.DisplayedAddress}}
                                  </dd>
                                  <dd class="nhsuk-summary-list__actions">
                                  </dd>
                                </div>
                                {% endfor %}
                            </dl>
                            {{
                                link({
                                  "text": "common.button.continue",
                                  "href": "/your-application",
                                  "arrow": false,
                                  "classes": "nhsuk-button",
                                  locale: locale
                                })
                            }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
